<?php
//Pollxn counter replacement
//Entry plugin

class pollxn {

public static $single = 'comment';
public static $plural = 'comments';

public function process($entry, $item) {
	$handle = opendir($item['dir']);
	$count = 0;
	$replacement = "";
	while (FALSE !== ($file = readdir($handle))) {
		$basename = explode('.', $file);
		if ($basename[0] === $item['filename'] && 
strpos($file, ".pollxn")) {
			$filepath = pathinfo($item['dir'] . '/' . $file);
			if ($filepath['extension'] === "pollxn_archive") {
				$replacement = "archived comments";
			} else {
				$count++;
			}
		}
	}
	if ($count == 1) {
		$suffix = pollxn::$single;
	} else {
		$suffix = pollxn::$plural;
	}
	if ($replacement == "") $replacement = "$count $suffix";
	closedir($handle);
	return str_replace('$pollxn::comments_count', $replacement, $entry);
}

}

$entryPlugins[] = new pollxn();

?>
